%global rdnsappid xyz.ketok.Speedtest

Name:           speedtest
Version:        1.0.1
Release:        %autorelease
Summary:        A graphical librespeed client written using gtk4 + libadwaita

License:        GPL-3.0-or-later
URL:            https://github.com/Ketok4321/speedtest
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.62.0
BuildRequires:  python3-devel
BuildRequires:  blueprint-compiler >= 0.10.0

BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(aiohttp)

BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

Requires:       hicolor-icon-theme
Requires:       libadwaita
Requires:       python3-gobject

%description
%{summary}


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install
# For future localization
%dnl %find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


# For future localization
#  -f %{name}.lang
%files
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.xml


%changelog
%autochangelog
